Create a new agent
POST /api/v1/agent
POST
/api/v1/agent
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”Responses
Section titled “ Responses ”Success
object
details
Agent_Details
object
available_actions
Agent_AvailableActions
Available actions for this agent based on its status and instance counts
object
delete
Whether the agent can be deleted
boolean
reinstate
Whether the agent can be reinstated from retired
boolean
retire
Whether the agent can be retired
boolean
update
Whether the agent can be updated
boolean
current_schema_version_id
One of:
AgentSchemaVersion_Id
A valid agent schema version ID
string
Example
013xrzp12g3nqk8nzntq40gkzaf2d9m2 Null
Null
string
current_version_id
One of:
AgentVersion_Id
A valid agent version ID
string
Example
013xrzp12g3nqk8n6mv28ge2v9f7n2hc Null
Null
string
environment_id
Environment_Id
A valid environment ID
string
Example
013xrzp12g3nqk8nzxvq7jm2arsfg5h1 id
Agent_Id
A valid agent ID
string
Example
013xrzp12g3nqk8nx0y2vfkg4s3jp2qr inserted_at
When the agent was created
string format: date-time
Example
2024-01-01T00:00:00Z instance_counts
Agent_InstanceCounts
object
active
Number of instances with status active (running)
integer
Example
2 cancelled
Number of instances with status cancelled
integer
0 complete
Number of instances with status complete
integer
Example
5 failed
Number of instances with status failed
integer
0 finished
Number of instances in a finished state (complete + failed + cancelled)
integer
Example
5 pending
Number of instances with status pending
integer
0 total
Total number of agent instances
integer
Example
10 name
Agent name
string
Example
My Agent status
Agent status
string
Example
pending type
Type of resource (always ‘agent’)
string
Example
agent updated_at
When the agent was last updated
string format: date-time
Example
2024-01-01T00:00:00Z status
string
Example
successdefault
Section titled “default ”Error
One of:
object
code
string
Example
bad_request message
string
status
string
Example
errorobject
code
string
Example
validation_errors errors
message
string
status
string
Example
error